package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-14
 * @description : 修改密码参数
 */
@Data
public class UpdatePasswordParam {

    /**
     * 用户名
     */
    @JsonAlias("mem-username")
    @NotBlank(message = "注册用户名字不可为空")
    private String username;

    /**
     * 新密码
     */
    @NotBlank(message = "新密码不可为空")
    @JsonAlias("mem-password")
    private String password;

    /**
     * 验证码类型
     */
    @NotBlank(message = "验证码类型不可为空")
    @JsonAlias("sms-type")
    private Integer type;

    /**
     * 手机号
     */
    @NotBlank(message = "手机号不可为空")
    @JsonAlias("sms-mobile")
    private String mobile;

    /**
     * 验证码
     */
    @NotBlank(message = "验证码不可为空")
    @JsonAlias("sms-code")
    private String code;
}
